<?php

require_once "util.php";

add_action('admin_menu', 'bluengo_admin_main_menu');


function bluengo_admin_main_menu() {

	add_menu_page(
		'Bluengo',
		'Bluengo',
		'edit_posts',
		'bluengo_main',
		'bluengo_main_callback_function',
        plugin_dir_url( __DIR__ ).'img/bluengo_squared_logo_16.png'

	);
}

add_action('admin_post_bluengo_link_form_submit','bluengo_link_callback_function_form_post');

function bluengo_link_callback_function_form_post() {
    global $bluengo_db_version;
    global $wpdb;
    $table_name = $wpdb->prefix . 'bluengo_cache';

    $results = $wpdb->get_results("SELECT * FROM {$table_name} WHERE type = 'install'");

    $install_data = [];
    if (count($results) > 0) {
        $install_data = json_decode(current($results)->data, true);
        bluengo_url_post_data(BLUENGO_BASE_API_URL . '/v1/tenant/reallocate', array("new_email" => $_POST["email"], "install_data" => $install_data));
    }

    wp_redirect(get_admin_url() . "admin.php?page=bluengo_main");
}

function bluengo_main_callback_function() {
    global $bluengo_db_version;
    global $wpdb;
    $table_name = $wpdb->prefix . 'bluengo_cache';

    $results = $wpdb->get_results("SELECT * FROM {$table_name} WHERE type = 'install'");

    $install_data = null;
    if (count($results) > 0) {
        $install_data = json_decode(current($results)->data, true);
    }

	$tenant_id = implode(',',$install_data['original_tenant_id']);
	$store_id = $install_data['uuid'];
	$management_token = $install_data['management_token'];
    ?>

	<?php
	$active_tab = 'management';
	if( isset( $_GET[ 'tab' ] ) ) {
		$active_tab = $_GET[ 'tab' ];
	} // end if
	?>
	<h2 class="nav-tab-wrapper">
		<a href="?page=bluengo_main&tab=management" class="nav-tab <?php echo (($active_tab === 'management') ? 'nav-tab-active' : ''); ?>">Management</a>
		<a href="?page=bluengo_main&tab=diagnostics" class="nav-tab <?php echo (($active_tab === 'diagnostics') ? 'nav-tab-active' : ''); ?>">Diagnostics</a>
	</h2>



	<?php if ($active_tab === 'management'): ?>
		<h1>Bluengo - Management</h1>
		<iframe src="https://www.bluengo.com/management/miniconsole/<?php echo $management_token ?>" width="100%" style="height: calc(100vh - 200px)">

	<?php elseif ($active_tab === 'diagnostics'): ?>
		<h1>Bluengo - Diagnostics</h1>
		<form method="post" action="admin-post.php">
			<input name='action' type="hidden" value='bluengo_link_form_submit'>
			<table class="form-table">
				<tr>
					<td style="width: 420px;"><label for="bluengo_email">Change Bluengo admin email</label></td>
					<td>
						<input style="" type="email" name="email" id="bluengo_email">
						<input class="button-primary" type="submit" value="<?php _e("Link"); ?>"/>
					</td>
				</tr>
			</table>
		</form>
		<table class="form-table">
			<tr>
				<td style="max-width: 420px;"><label for="tenant_id">Tenant ID</label></td>
				<td><input style="" type="text" id="tenant_id" value="<?php echo $tenant_id?>" disabled></td>
			</tr>
			<tr>
				<td><label for="store_id">Store ID</label></td>
				<td><input style="" type="text" id="store_id" value="<?php echo $store_id?>" disabled></td>
			</tr>
		</table>


	<?php endif; ?>



    <?php
}
